--- Common autopilot data functions.

local M = {}

--- Creates a new autopilot with default values.
--- @return              table   # new autopilot object with default values
function M.newAutopilot(model)
    return {
        model = model,
        on = false,     -- Autopilot engage
        athr = false,   -- Autothrottle engage
        mode = nil,     -- Vertical mode
        spdOn = false,  -- SPD enabled
        hdgOn = false,  -- HDG enabled
        vs = nil,       -- Target vertical speed (m/s)
        alt = nil,      -- Target altitude (m)
        spd = nil,      -- Target speed (m/s)
        hdg = nil,      -- Target heading (degrees)
    }
end

return M
